Page MenuHomePhabricator

On mobile VE, text inside table header cell is overlapping with the sort icon
Closed, ResolvedPublic

Description

On mobile VE, text inside table header cell is overlapping with the sort icon

Event Timeline

Ryasmeen created this task.Oct 2 2018, 1:54 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 2 2018, 1:54 AM

Sortable headers aren't shown in Minerva as it overrides 'content' which loads 'mediawiki.page.ready' which loads tablesorter. I assume this is deliberate?

We could mirror this behaviour in VE but currently there is no programmatic way to ask the skin if it supports sortable tables, so it would just be a hack.

CC @Jdlrobson

Sortable headers aren't shown in Minerva as it overrides 'content' which loads 'mediawiki.page.ready' which loads tablesorter. I assume this is deliberate?

Captured in T111565

Esanders moved this task from To Triage to Q4 on the VisualEditor board.Oct 3 2018, 2:49 PM
JTannerWMF moved this task from Q4 to Current work on the VisualEditor board.
JTannerWMF edited projects, added VisualEditor (Current work); removed VisualEditor.

@Jdlrobson Is that going to be fixed any time soon, or should we come up with a hack to hide the icons?

T111565 was marked as 8 points (risky) so we're waiting for more time to fix that, so I'd guess not any time soon.
A short term solution that would also help that work would be to use skinStyles to blank those icons

Esanders claimed this task.Oct 11 2018, 1:37 PM
Esanders moved this task from Incoming to In progress on the VisualEditor (Current work) board.
Esanders added a subscriber: marcella.

Change 466609 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/skins/MinervaNeue@master] Reduce specificity of wikitable overrides

https://gerrit.wikimedia.org/r/466609

I've just fixed the style specificity conflict, so that the right padding for the icons is retained. This means we will see icons in edit mode and not read mode, but as there is a task to fix read mode, I feel this is the better fix.

Change 466609 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Reduce specificity of wikitable overrides

https://gerrit.wikimedia.org/r/466609

Deskana closed this task as Resolved.Oct 31 2018, 1:34 PM
Deskana triaged this task as Normal priority.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptOct 31 2018, 1:34 PM